import { Button } from "@/components/ui/button"
import {
    Popover,
    PopoverContent,
    PopoverTrigger,
} from "@/components/ui/popover"
import Sort from "./filter-sort-games"
import { Icons } from "./icons"

export function PopoverSort() {
    return (
        <div className="fixed z-50 bottom-0 right-0 py-20 px-6 md:hidden">
            <Popover>
                <div className="w-14 h-14 rounded-full bg-secondary">
                    <PopoverTrigger asChild className="flex justify-end">
                        <Button variant="secondary" className="w-14 h-14 rounded-full">
                            <Icons.filter />
                        </Button>
                    </PopoverTrigger>
                </div>
                <PopoverContent className="w-60 m-1">
                    <Sort />
                </PopoverContent>
            </Popover>
        </div>
    )
}