import { Card } from "@/components/ui/card"
import Image from "next/image"
import { IGweet } from "../types"

export const GweetMedia = ({ gweet }: { gweet: IGweet }) => {
    return (
        <div className={`grid object-cover h-[500px] ${gweet.media.length === 1 ? "grid-cols-1"
            : gweet.media.length === 2 ? "grid-cols-2 gap-3"
                : gweet.media.length === 3 || 4 ? "grid-cols-2 grid-rows-2 gap-3"
                    : ""
            }`}
        >
            {gweet.media.map((image, i) => {
                const isFirstImage = gweet.media.length === 3 && i === 0
                return (
                    <Card key={i} className={`relative max-h-[500px] overflow-hidden ${isFirstImage ? "row-span-2" : ""}`}>
                        <Image
                            src={image.url as string}
                            alt="gweet image"
                            fill
                            className="object-cover rounded-lg"
                        />
                    </Card>
                )
            })}
        </div>
    )
}